Debian Bug report logs - #204889
libncursesw5: Big5 Chinese character display error

version graph

Package: libncursesw5; Maintainer for libncursesw5 is Craig Small <csmall@debian.org>; Source for libncursesw5 is src:ncurses.

Reported by: Chuan-kai Lin <b86506063@ntu.edu.tw>

Date: Mon, 11 Aug 2003 03:48:02 UTC

Severity: normal

Found in version 5.3.20030719-1

Fixed in version ncurses/5.3.20030719-2

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#204889; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Chuan-kai Lin <b86506063@ntu.edu.tw>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chuan-kai Lin <b86506063@ntu.edu.tw>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libncursesw5: Big5 Chinese character display error
Date: Mon, 11 Aug 2003 11:35:32 +0800
Package: libncursesw5
Version: 5.3.20030719-1
Severity: normal

I have noticed that upon the upgrade to 5.3.20030719-1, display of Big5
Chinese characters in tin 1:1.5.19+20030609-2 (depends on libncursesw5)
had become erroneous: some characters would be missing and replaced with
random ASCII characters.  My locally compiled mutt, dynamically linked
against libncursesw5, also exhibits the same problem, as well as another
locally developed program using libncursesw5, so I think it is clear
that the problem lies in the library itself.

Further investigation revealed that only those characters with the 2nd
byte under 0x80 have their first byte dropped (so only the 2nd byte is
displayed); if the 2nd byte is above 0x80, then the character would be
displayed without problems.  I have tried to look into the relevant
source code in ncurses, but had not found any obvious problems.

I think 5.3.20030510-2 and before does not have this bug.  Please let me
know if you need further assistance with this bug report.

-- System Information:
Debian Release: 3.0
Architecture: i386
Kernel: Linux debian 2.6.0-test2 #2 SMP Mon Jul 28 21:17:36 CST 2003 i686
Locale: LANG=C, LC_CTYPE=zh_TW.Big5

Versions of packages libncursesw5 depends on:
ii  libc6                         2.3.1-16   GNU C Library: Shared libraries an

-- no debconf information

-- 
Chuan-kai Lin
http://www.csie.ntu.edu.tw/~b6506063/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#204889; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at 204889@bugs.debian.org (full text, mbox):

From: "Thomas E. Dickey" <dickey@herndon4.his.com>
To: Chuan-kai Lin <b86506063@ntu.edu.tw>, 204889@bugs.debian.org
Subject: Re: Bug#204889: libncursesw5: Big5 Chinese character display error
Date: Mon, 11 Aug 2003 05:51:36 -0400 (EDT)
On Mon, 11 Aug 2003, Chuan-kai Lin wrote:

> I think 5.3.20030510-2 and before does not have this bug.  Please let me
> know if you need further assistance with this bug report.

Some example files (and details on terminal emulator, fonts, even
before/after screen dumps would help me diagnose the problem).

-- 
T.E.Dickey <dickey@herndon4.his.com>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#204889; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to Chuan-kai Lin <b86506063@ntu.edu.tw>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #15 received at 204889@bugs.debian.org (full text, mbox):

From: Chuan-kai Lin <b86506063@ntu.edu.tw>
To: Bug 204889 <204889@bugs.debian.org>
Subject: Re: Bug#204889: libncursesw5: Big5 Chinese character display error
Date: Tue, 12 Aug 2003 15:06:22 +0800
[Message part 1 (text/plain, inline)]
On Mon, Aug 11, 2003 at 05:51:36AM -0400, Thomas E. Dickey wrote:
> Some example files (and details on terminal emulator, fonts, even
> before/after screen dumps would help me diagnose the problem).

Hmm, I have got something better for you: a short 30-line ncurses
program demonstrating this very problem.  To see the rendered Chinese
characters you would probably need to run crxvt-big5 (in rxvt-ml
package), but that should not be necessary to investigate the issue.

How to use the program: first compile it with -lncurses and run it.
The program will behave properly and display the hard-coded Big5 string
on the terminal.  Then, compile it again with -lncursesw, and run it
again.  This time the string would not be correctly displayed (different
from the previous run and the one embedded in the program source).  Note
that I have only used mvaddstr(3ncurses) in the program, but
mvaddwstr(3ncurses) is broken all the same (use -DNCURSESW when linking
against ncursesw).

Perhaps you could also talk to upstream about this problem?

Regards,

-- 
Chuan-kai Lin
http://www.csie.ntu.edu.tw/~b6506063/
[big5-display.c (text/x-csrc, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#204889; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #20 received at 204889@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Chuan-kai Lin <b86506063@ntu.edu.tw>, 204889@bugs.debian.org
Subject: Re: Bug#204889: libncursesw5: Big5 Chinese character display error
Date: Tue, 12 Aug 2003 14:20:49 -0400
On Tue, Aug 12, 2003 at 03:06:22PM +0800, Chuan-kai Lin wrote:
> On Mon, Aug 11, 2003 at 05:51:36AM -0400, Thomas E. Dickey wrote:
> > Some example files (and details on terminal emulator, fonts, even
> > before/after screen dumps would help me diagnose the problem).
> 
> Hmm, I have got something better for you: a short 30-line ncurses
> program demonstrating this very problem.  To see the rendered Chinese
> characters you would probably need to run crxvt-big5 (in rxvt-ml
> package), but that should not be necessary to investigate the issue.

thanks
 
> How to use the program: first compile it with -lncurses and run it.
> The program will behave properly and display the hard-coded Big5 string
> on the terminal.  Then, compile it again with -lncursesw, and run it
> again.  This time the string would not be correctly displayed (different
> from the previous run and the one embedded in the program source).  Note
> that I have only used mvaddstr(3ncurses) in the program, but
> mvaddwstr(3ncurses) is broken all the same (use -DNCURSESW when linking
> against ncursesw).
> 
> Perhaps you could also talk to upstream about this problem?

I _am_ "upstream"

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#204889; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #25 received at 204889@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@herndon4.his.com>
To: Chuan-kai Lin <b86506063@ntu.edu.tw>, 204889@bugs.debian.org
Subject: Re: Bug#204889: libncursesw5: Big5 Chinese character display error
Date: Sat, 16 Aug 2003 19:14:59 -0400
On Tue, Aug 12, 2003 at 03:06:22PM +0800, Chuan-kai Lin wrote:
> On Mon, Aug 11, 2003 at 05:51:36AM -0400, Thomas E. Dickey wrote:
> > Some example files (and details on terminal emulator, fonts, even
> > before/after screen dumps would help me diagnose the problem).
> 
> Hmm, I have got something better for you: a short 30-line ncurses
> program demonstrating this very problem.  To see the rendered Chinese
> characters you would probably need to run crxvt-big5 (in rxvt-ml
> package), but that should not be necessary to investigate the issue.
> 
> How to use the program: first compile it with -lncurses and run it.
> The program will behave properly and display the hard-coded Big5 string
> on the terminal.  Then, compile it again with -lncursesw, and run it
> again.  This time the string would not be correctly displayed (different
> from the previous run and the one embedded in the program source).  Note
> that I have only used mvaddstr(3ncurses) in the program, but
> mvaddwstr(3ncurses) is broken all the same (use -DNCURSESW when linking
> against ncursesw).

I can reproduce this, will see how to fix it.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#204889; Package libncursesw5. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #30 received at 204889@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com (Thomas Dickey)
To: 204889@bugs.debian.org
Cc: dickey@herndon4.his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=204889
Date: Sat, 16 Aug 2003 21:13:16 -0400
>                       Debian Bug report logs - #204889
>              libncursesw5: Big5 Chinese character display error

I made a small fix for this in tonight's patch, seems to work.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Chuan-kai Lin <b86506063@ntu.edu.tw>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 204889-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 204889-close@bugs.debian.org
Subject: Bug#204889: fixed in ncurses 5.3.20030719-2
Date: Fri, 29 Aug 2003 14:17:17 -0400
Source: ncurses
Source-Version: 5.3.20030719-2

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

libncurses5-dbg_5.3.20030719-2_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.3.20030719-2_i386.deb
libncurses5-dev_5.3.20030719-2_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.3.20030719-2_i386.deb
libncurses5_5.3.20030719-2_i386.deb
  to pool/main/n/ncurses/libncurses5_5.3.20030719-2_i386.deb
libncursesw5-dbg_5.3.20030719-2_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.3.20030719-2_i386.deb
libncursesw5-dev_5.3.20030719-2_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.3.20030719-2_i386.deb
libncursesw5_5.3.20030719-2_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.3.20030719-2_i386.deb
ncurses-base_5.3.20030719-2_all.deb
  to pool/main/n/ncurses/ncurses-base_5.3.20030719-2_all.deb
ncurses-bin_5.3.20030719-2_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.3.20030719-2_i386.deb
ncurses-term_5.3.20030719-2_all.deb
  to pool/main/n/ncurses/ncurses-term_5.3.20030719-2_all.deb
ncurses_5.3.20030719-2.diff.gz
  to pool/main/n/ncurses/ncurses_5.3.20030719-2.diff.gz
ncurses_5.3.20030719-2.dsc
  to pool/main/n/ncurses/ncurses_5.3.20030719-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 204889@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 27 Aug 2003 21:15:11 -0400
Source: ncurses
Binary: ncurses-base lib64ncurses5 libncursesw5-dev libncursesw5-dbg ncurses-bin libncurses5 libncursesw5 libncurses5-dev ncurses-term libncurses5-dbg lib64ncurses5-dev
Architecture: source i386 all
Version: 5.3.20030719-2
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 204418 204670 204889
Changes: 
 ncurses (5.3.20030719-2) unstable; urgency=low
 .
   * Add 64-bit libraries for sparc64 (non-wide only) (Closes: #204418).
   * Clarified description for libncursesw5-dev (Closes: #204670).
   * Import upstream fix for Big5 display (Closes: #204889).
Files: 
 f3481216956219375e90265cd64b661a 810 libs standard ncurses_5.3.20030719-2.dsc
 5c9aac51aa6c740ba9d7d44c122fd73c 28481 libs standard ncurses_5.3.20030719-2.diff.gz
 308477da889b208a90d227462b24a8ec 265500 base required libncurses5_5.3.20030719-2_i386.deb
 e11d4847bc50812f0dcb723adf87307f 1026110 libdevel optional libncurses5-dev_5.3.20030719-2_i386.deb
 58e863791b6893375c2b4b634c1ffc84 3979882 libdevel extra libncurses5-dbg_5.3.20030719-2_i386.deb
 653c113e6fb41a5237a9fce76900d9a4 277126 libs optional libncursesw5_5.3.20030719-2_i386.deb
 15d0b0208f85fc21931b4382d0ef7fc3 386514 libdevel optional libncursesw5-dev_5.3.20030719-2_i386.deb
 d9056891a990bca81271cf1991fcfbf4 4073368 libdevel extra libncursesw5-dbg_5.3.20030719-2_i386.deb
 9fa0996e3b3b08b2754f8ed4930aac6f 203608 base required ncurses-bin_5.3.20030719-2_i386.deb
 c77994df04cf6c3f1325bb423a99f9ed 10354 base required ncurses-base_5.3.20030719-2_all.deb
 95d6e66754988586a24d7a05b2d01fe1 269520 admin standard ncurses-term_5.3.20030719-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE/T5babgOPXuCjg3cRAuhYAJ98hXGHpKQ8VRiK/DJreZzvYg5jcACfXs7X
wBfJWtA8iTEnly3TgRNPqTY=
=hWpI
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:13:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.